net.minecraft.village

## Class VillageDoorInfo

- java.lang.Object
- - net.minecraft.village.VillageDoorInfo

-     public class VillageDoorInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `insideDirectionX`
    `int` | `insideDirectionZ`
    `boolean` | `isDetachedFromVillageFlag`
    `int` | `lastActivityTimestamp`
    `int` | `posX`
    `int` | `posY`
    `int` | `posZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VillageDoorInfo(int par1, int par2, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDistanceSquared(int par1, int par2, int par3)` Returns the squared distance between this door and the given coordinate.
    `int` | `getDoorOpeningRestrictionCounter()`
    `int` | `getInsideDistanceSquare(int par1, int par2, int par3)` Get the square of the distance from a location 2 blocks away from the door considered 'inside' and the given arguments
    `int` | `getInsidePosX()`
    `int` | `getInsidePosY()`
    `int` | `getInsidePosZ()`
    `void` | `incrementDoorOpeningRestrictionCounter()`
    `boolean` | `isInside(int par1, int par2)`
    `void` | `resetDoorOpeningRestrictionCounter()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### posX

          public final int posX

    - #### posY

          public final int posY

    - #### posZ

          public final int posZ

    - #### insideDirectionX

          public final int insideDirectionX

    - #### insideDirectionZ

          public final int insideDirectionZ

    - #### lastActivityTimestamp

          public int lastActivityTimestamp

    - #### isDetachedFromVillageFlag

          public boolean isDetachedFromVillageFlag

  - ### Constructor Detail

    - #### VillageDoorInfo

          public VillageDoorInfo(int par1,
                         int par2,
                         int par3,
                         int par4,
                         int par5,
                         int par6)

  - ### Method Detail

    - #### getDistanceSquared

          public int getDistanceSquared(int par1,
                               int par2,
                               int par3)

      Returns the squared distance between this door and the given coordinate.

    - #### getInsideDistanceSquare

          public int getInsideDistanceSquare(int par1,
                                    int par2,
                                    int par3)

      Get the square of the distance from a location 2 blocks away from the door considered 'inside' and the given arguments

    - #### getInsidePosX

          public int getInsidePosX()

    - #### getInsidePosY

          public int getInsidePosY()

    - #### getInsidePosZ

          public int getInsidePosZ()

    - #### isInside

          public boolean isInside(int par1,
                         int par2)

    - #### resetDoorOpeningRestrictionCounter

          public void resetDoorOpeningRestrictionCounter()

    - #### incrementDoorOpeningRestrictionCounter

          public void incrementDoorOpeningRestrictionCounter()

    - #### getDoorOpeningRestrictionCounter

          public int getDoorOpeningRestrictionCounter()